Page MenuHomePhabricator

Remove toolbar icon right border
Closed, ResolvedPublic2 Story Points

Description

The CodeMirror icon has a border on its right-hand side

This is because it is in a new toolbar group all on its own. WikiEditor thinks the 'tools' group is the last one, and removes its border (so that none appears before the arrow for 'Advanced'):

.wikiEditor-ui-toolbar .group-insert {
    border-right: 0;
}

Maybe this is something WikiEditor should handle? It does after all decide where the new group gets inserted and so could change how it handles the border-removing.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2018, 1:33 AM
Restricted Application added a project: Community-Tech. · View Herald TranscriptMar 22 2018, 1:37 AM
TBolliger added subscribers: Niharika, TBolliger.

@Niharika Something CommTech should do?

@Niharika Something CommTech should do?

Hmm, maybe. It's not a big deal. We should do it if it seems like it'll be pretty simple. Let's discuss this in estimation.

Without code mirror:

TBolliger renamed this task from Remove toolbar icon right border and add missing left one to Remove toolbar icon right border.Mar 28 2018, 11:54 PM
TBolliger updated the task description. (Show Details)
TBolliger set the point value for this task to 2.

Change 423042 had a related patch set uploaded (by MusikAnimal; owner: MusikAnimal):
[mediawiki/extensions/WikiEditor@master] Hide right border of only the last group in the toolbar

https://gerrit.wikimedia.org/r/423042

MusikAnimal moved this task from Ready to Needs Review/Feedback on the Community-Tech-Sprint board.

Change 423042 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Hide right border of only the last group in the toolbar

https://gerrit.wikimedia.org/r/423042

MusikAnimal closed this task as Resolved.Apr 2 2018, 9:45 PM

Merged

happy5214 moved this task from Backlog to Closed on the WikiEditor board.Sun, Aug 4, 11:34 AM